package service

import (
	"context"
	"opencatd-open/pkg/config"

	"gorm.io/gorm"
)

type UsageService struct {
	Ctx context.Context
	Cfg *config.Config
	DB  *gorm.DB
}

func NewUsageService(ctx context.Context, cfg *config.Config, db *gorm.DB) *UsageService {
	return &UsageService{
		Ctx: ctx,
		Cfg: cfg,
		DB:  db,
	}
}
